        M1 = [39 1.47;  73 2.262]; % Moray 1
        M2=[39. 0.0164*60;  73 0.0477*60]; % Moray 2

% choose coordiate origin
        origin = M1;

% M1 and M2 x, y positions  - approximate assuming sphere.
        [m2x,m2y] = latlon(M2(1,:),1,M2(2,:),-1,origin(1,:),origin(2,:)); % M2 lat and lon
        [m1x,m1y] = latlon(M1(1,:),1,M1(2,:),-1,origin(1,:),origin(2,:)); % SJ's lat and lon


        figure(2)
        h=plot(m1x/1000,m1y/1000,'r>',m2x/1000,m2y/1000,'r>');
        set(h,'LineWidth',3)
        hold on
        grid
        axis 'equal'
        xlabel(['EW (km)'],'fontsize',18)
        ylabel(['NS (km)'],'fontsize',18)
        title(['LEAR/SW06 layout'],'fontsize',18)
        set(gca,'fontsize',18)
        set(gca,'linewidth',1)

         % text(0.1,0.1,['M1 ',num2str(M1(1,1)),' ',num2str(M1(1,2)),'N, ',num2str(M1(2,1)),' ',num2str(M1(2,2)),' W'])

 % WBS bbs locations

        WBS2=[39 1.55058;73 2.7994];
        WBS1=[39 1.6426; 73 2.5602];
        [WBS1x,WBS1y] = latlon(WBS1(1,:),1,WBS1(2,:),-1,origin(1,:),origin(2,:)); % M2 lat and lon
        [WBS2x,WBS2y] = latlon(WBS2(1,:),1,WBS2(2,:),-1,origin(1,:),origin(2,:)); % M2 lat and lon

        plot(WBS1x/1000,WBS1y/1000,'+k','LineWidth',4)
        plot(WBS2x/1000,WBS2y/1000,'+c','LineWidth',4)
 
 
% DJ proposed transmission track
        DJ=[39 0.0203*60,  73 0.0448*60, ...
                39 0.0242*60,  73 0.0419*60, ...
                39 0.0281*60, 73 0.0389*60, ...
                39 0.0320*60,  73 0.0360*60,  ...
                39 0.0359*60,  73 0.0331*60,  ...
                39 0.0398*60,  73 0.0302*60,  ...
                39 0.0437*60,  73 0.0273*60,  ...
                39 0.0476*60,  73 0.0244*60,  ...
                39 0.0515*60,  73 0.0215*60,  ...
                39 0.0554*60,  73 0.0186*60,  ...
                39 0.0593*60,  73 0.0157*60,  ...
                39 0.0631*60,  73 0.0128*60,  ...
                39 0.0670*60,  73 0.0099*60,  ...
                39 0.0709*60,  73 0.0070*60,  ...
                39 0.0748*60,  73 0.0041*60,  ...
                39 0.0787*60,  73 0.0012*60,  ...
                39 0.0826*60,  72 0.9983*60,  ...
                39 0.0865*60,  72 0.9954*60,  ...
                39 0.0904*60,  72 0.9925*60,  ...
                39 0.0943*60,  72 0.9895*60];
                
        DJ1=DJ(1:2:end)';
        DJ2=DJ(2:2:end)';
        DJ_track= [DJ1,DJ2];
 

      for j_loop=1:length(DJ_track)/2
        [DJx(j_loop),DJy(j_loop)] = latlon(DJ_track(2*j_loop-1,:),1,DJ_track(2*j_loop,:),-1,origin(1,:),origin(2,:)); % M2 lat and lon
        plot([DJx(j_loop)/1000],[DJy(j_loop)]/1000,'^k','LineWidth',2)
     end
       %plot([DJx]/1000,[DJy]/1000,'r','LineWidth',2)

% DRDC proposed track 
  
    test1=[39 19.9229 ; 72 48.7634];
    [test1x,test1y] = latlon(test1(1,:),1,test1(2,:),-1,origin(1,:),origin(2,:)); % ADCP lat and lon
    %plot(test1x/1000,test1y/1000,'<k','LineWidth',3)
    grid on        
   axis([-40 30 -20 40])  

    test2=[38 59.3458; 73  4.0730];
    [test2x,test2y] = latlon(test2(1,:),1,test2(2,:),-1,origin(1,:),origin(2,:)); % ADCP lat and lon
    plot([test1x, test2x]/1000,[test1y, test2y]/1000,'-g','LineWidth',2)
    grid on        
   axis([-40 30 -20 40])  
       
% DRDC ADCP actual position

    ADCP=[39 9.174 ; 72 58.502];
    [ADCPx,ADCPy] = latlon(ADCP(1,:),1,ADCP(2,:),-1,origin(1,:),origin(2,:)); % ADCP lat and lon
    plot(ADCPx/1000,ADCPy/1000,'sk','linewidth',3)
    grid on   
   
   
   
% DRDC UAT position spaceframe - July 31th

    BBN=[39 0.5184 ; 73 03.2810];
    [BBNx,BBNy] = latlon(BBN(1,:),1,BBN(2,:),-1,origin(1,:),origin(2,:)); % ADCP lat and lon
    plot(BBNx/1000,BBNy/1000,'db','LineWidth',4)
    grid on        

% DRDC Quest position - at 10:02 local -- start of VP2 pings

    BBN=[39 1.491 ; 73 02.487];
    [BBNx,BBNy] = latlon(BBN(1,:),1,BBN(2,:),-1,origin(1,:),origin(2,:)); % ADCP lat and lon
    %plot(BBNx/1000,BBNy/1000,'db','LineWidth',4)
    grid on        
    
 % DRDC Quest position - at 13:02 local -- end of VP2 pings

    BBN=[39 15.143 ; 72 52.124];
    [BBNx,BBNy] = latlon(BBN(1,:),1,BBN(2,:),-1,origin(1,:),origin(2,:)); % ADCP lat and lon
    %plot(BBNx/1000,BBNy/1000,'db','LineWidth',4)
    grid on        
   
 % Across Track DRDC run   
 % Start position - at 16:46 local 

    BBN=[39 00.588 ; 73 03.548];
    [BBN1x,BBN1y] = latlon(BBN(1,:),1,BBN(2,:),-1,origin(1,:),origin(2,:)); % ADCP lat and lon
%    plot(BBN1x/1000,BBN1y/1000,'Vm','LineWidth',1)
    grid on        

 % End way point will not get to end

    BBN=[39 07.172 ; 73 16.602];
    [BBNx,BBNy] = latlon(BBN(1,:),1,BBN(2,:),-1,origin(1,:),origin(2,:)); % ADCP lat and lon
%    plot(BBNx/1000,BBNy/1000,'Vm','LineWidth',1)
    grid on        
    plot([BBNx, BBN1x]/1000,[BBNy, BBN1y]/1000,'-g','LineWidth',2)

    
% gtext('UAT','FontSize',18)
% gtext('WBS1','FontSize',18)
% gtext('WBS2','FontSize',18)
% gtext('Moray1','FontSize',18)
% gtext('Moray2','FontSize',18)
% print -djpeg100 deployments_hires
% gtext(['M1 ',num2str(M1(1,1)),' ',num2str(M1(1,2)),'N, ',num2str(M1(2,1)),' ',num2str(M1(2,2)),' W'])
% gtext(['M1 ',num2str(M1(1,1)),' ',num2str(M1(1,2)),'N, ',num2str(M1(2,1)),' ',num2str(M1(2,2)),' W'],'FontSize',18)
% gtext(['M1 ',num2str(M1(1,1)),' ',num2str(M1(1,2)),'N, ',num2str(M1(2,1)),' ',num2str(M1(2,2)),' W'],'FontSize',16)
% gtext([num2str(M1(1,1)),' ',num2str(M1(1,2)),'N, ',num2str(M1(2,1)),' ',num2str(M1(2,2)),' W'],'FontSize',16)
% gtext([num2str(M1(1,1)),' ',num2str(M1(1,2)),'N, ',num2str(M1(2,1)),' ',num2str(M1(2,2)),' W'],'FontSize',18)
    