function [x,y]=latlon(lat,ns,lon,ew,lat0,lon0);
%   latlon.m    Given (lat,lon), the point's [x,y] in meters,
%   are calculated relative to the reference point (lat0,lon0).
%   The latitude and longitude should be given in 
%   degrees and decimal minutes.
%   ns = 1, North, ns = -1, South
%   ew = 1, East, ew = -1, West
%   For example, lat = [lat_degrees, lat_minutes] = [30, 23.387];   ns = 1;
%                lon = [lon_degrees, lon_minutes] = [086, 38.396];  ew = -1;
%   Programer DJ Tang, 09/19/2004

R = 6366700;    % Earth radius in meters
x = sign(ew)*pi*R*((lon(1,1)+lon(1,2)/60)-(lon0(1,1)+lon0(1,2)/60))/180*cos((lat0(1,1)+lat0(1,2)/60)*pi/180);
y = sign(ns)*pi*R*((lat(1,1)+lat(1,2)/60)-(lat0(1,1)+lat0(1,2)/60))/180;